package domain

type AlibabaWdkMarketingItempoolQueryitemsActivitySkuQuery struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   分页参数     */
	Page *AlibabaWdkMarketingItempoolQueryitemsBasePageQuery `json:"page,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   需要查询的商品skuCodes     */
	SkuCodes *[]string `json:"sku_codes,omitempty" `

	/*
	   是否自定义渠道同步 defalutValue:false    */
	ByChannel *bool `json:"by_channel,omitempty" `

	/*
	   自定义同步渠道配置     */
	ChannelConfigList *[]AlibabaWdkMarketingItempoolQueryitemsChannelConfig `json:"channel_config_list,omitempty" `
}

func (s *AlibabaWdkMarketingItempoolQueryitemsActivitySkuQuery) SetActivityId(v int64) *AlibabaWdkMarketingItempoolQueryitemsActivitySkuQuery {
	s.ActivityId = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolQueryitemsActivitySkuQuery) SetPage(v AlibabaWdkMarketingItempoolQueryitemsBasePageQuery) *AlibabaWdkMarketingItempoolQueryitemsActivitySkuQuery {
	s.Page = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolQueryitemsActivitySkuQuery) SetOutActId(v string) *AlibabaWdkMarketingItempoolQueryitemsActivitySkuQuery {
	s.OutActId = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolQueryitemsActivitySkuQuery) SetSkuCodes(v []string) *AlibabaWdkMarketingItempoolQueryitemsActivitySkuQuery {
	s.SkuCodes = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolQueryitemsActivitySkuQuery) SetByChannel(v bool) *AlibabaWdkMarketingItempoolQueryitemsActivitySkuQuery {
	s.ByChannel = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolQueryitemsActivitySkuQuery) SetChannelConfigList(v []AlibabaWdkMarketingItempoolQueryitemsChannelConfig) *AlibabaWdkMarketingItempoolQueryitemsActivitySkuQuery {
	s.ChannelConfigList = &v
	return s
}
